#include <avr/io.h>
#include <avr/delay.h>
#include "stdlib.h"

#define F_OSC 16000000

#include "ks0108.h"
#include "avrlcd.h"

#include "objekty.h"

void lod()
{
    int poh = 30;

	rectangle(poh,57,poh+5,62,CL_BLACK);
    ks0108ClearScreenleft();

    if(bit_is_set(PINB,7))
    {
      poh--;
	  _delay_ms(10);
    }

    if(bit_is_set(PINB,6))
    {
      poh++;
	  _delay_ms(10); 
    }

    if(bit_is_set(PINB,5))
    {
      poh++;
	  _delay_ms(10);
    }
}
